%define app_id fi.skyjake.Lagrange

Name:           lagrange
Version:        1.18.3
Release:        %mkrel 1
Summary:        A Beautiful Gemini Client
License:        BSD-2-Clause
Group:          Networking/WWW
URL:            https://gmi.skyjake.fi/lagrange
Source0:        https://git.skyjake.fi/skyjake/lagrange/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  zip
BuildRequires:  unistring-devel
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(harfbuzz)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libmpg123)
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(zlib)

%description
Lagrange is a desktop GUI client for browsing Geminispace. It
offers modern conveniences familiar from web browsers, such
as smooth scrolling, inline image viewing, multiple tabs, visual
themes, Unicode fonts, bookmarks, history, and page outlines.

Like Gemini, Lagrange has been designed with minimalism in mind.
It depends on a small number of essential libraries. It is
written in C and uses SDL for hardware-accelerated graphics.
OpenSSL is used for secure communications.

%prep
%autosetup

%build
%cmake -DTFDN_ENABLE_SSE41=NO
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS.md README.md
%license LICENSE.md
%{_bindir}/%{name}
%{_datadir}/applications/%{app_id}.desktop
%{_iconsdir}/hicolor/*/apps/%{app_id}.png
%{_datadir}/%{name}/
%{_metainfodir}/%{app_id}.appdata.xml
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Oct 31 2024 daviddavid <daviddavid> 1.18.3-1.mga10
+ Revision: 2111819
- new version: 1.18.3

* Mon Sep 23 2024 daviddavid <daviddavid> 1.18.0-1.mga10
+ Revision: 2100677
- new version: 1.18.0

* Sun Jan 21 2024 daviddavid <daviddavid> 1.17.6-1.mga10
+ Revision: 2033105
- new version: 1.17.6

* Mon Dec 18 2023 daviddavid <daviddavid> 1.17.5-1.mga10
+ Revision: 2018827
- new version: 1.17.5

* Mon Nov 27 2023 daviddavid <daviddavid> 1.17.4-1.mga10
+ Revision: 2010173
- new version: 1.17.4

* Mon Oct 30 2023 daviddavid <daviddavid> 1.17.2-1.mga10
+ Revision: 2002809
- new version: 1.17.2

* Thu Oct 26 2023 daviddavid <daviddavid> 1.17.1-1.mga10
+ Revision: 2001922
- new version: 1.17.1

* Mon Aug 28 2023 daviddavid <daviddavid> 1.16.7-1.mga10
+ Revision: 1980331
- new version: 1.16.7

* Mon Apr 10 2023 daviddavid <daviddavid> 1.15.8-1.mga9
+ Revision: 1951905
- new version: 1.15.8

* Mon Apr 03 2023 daviddavid <daviddavid> 1.15.7-1.mga9
+ Revision: 1951315
- initial package lagrange (mga#31749)

